tea(1)

NAME
tea - command line tool to interact with Gitea

SYNOPSIS
tea
    [--debug|--vvv]
    [--help|-h]
    [--version|-v]

DESCRIPTION
tea is a productivity helper for Gitea. It can be used to manage most entities on one or multiple Gitea instances & provides local helpers like 'tea pr checkout'.

tea tries to make use of context provided by the repository in $PWD if available. tea works best in a upstream/fork workflow, when the local main branch tracks the upstream repo. tea assumes that local git state is published on the remote before doing operations with tea. Configuration is persisted in $XDG_CONFIG_HOME/tea.

Usage:
    tea [GLOBAL OPTIONS] [command [COMMAND OPTIONS]] [ARGUMENTS...]

GLOBAL OPTIONS
--debug, --vvv: Enable debug mode

--help, -h: show help

--version, -v: print the version

COMMANDS

logins, login
Log in to a Gitea server

--help, -h: show help

  list, ls
List Gitea logins

--help, -h: show help

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

  help, h
Shows a list of commands or help for one command

  add
Add a Gitea login

--client-id="": OAuth client ID (for use with --oauth)

--git-credentials, --helper, -j: Register tea as a git credential helper for this login's URL, so 'git push' and 'git clone' over HTTPS authenticate silently using the stored token

--help, -h: show help

--insecure, -i: Disable TLS verification

--name, -n="": Login name

--no-version-check, --nv: Do not check version of Gitea instance

--oauth, -o: Use interactive OAuth2 flow for authentication

--otp="": OTP token for auth, if necessary

--password, --pwd="": Password for basic auth (will create token)

--redirect-url="": OAuth redirect URL (for use with --oauth)

--scopes="": Token scopes to add when creating a new token, separated by a comma

--ssh-agent-key, -a="": Use SSH public key or SSH fingerprint to login (needs a running ssh-agent with ssh key loaded)

--ssh-agent-principal, -c="": Use SSH certificate with specified principal to login (needs a running ssh-agent with certificate loaded)

--ssh-key, -s="": Path to a SSH key/certificate to use, overrides auto-discovery

--token, -t="": Access token. Can be obtained from Settings > Applications

--url, -u="": Server URL (default: "https://gitea.com")

--user="": User for basic auth (will create token)

  help, h
Shows a list of commands or help for one command

  edit, e
Edit Gitea logins

--help, -h: show help

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

  help, h
Shows a list of commands or help for one command

  delete, rm
Remove a Gitea login

--help, -h: show help

  help, h
Shows a list of commands or help for one command

  default
Get or Set Default Login

--help, -h: show help

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

  help, h
Shows a list of commands or help for one command

  helper, git-credential
Act as a git credential helper for stored Gitea logins

--help, -h: show help

  store, erase
No-op (git credential protocol store/erase)

--help, -h: show help

  help, h
Shows a list of commands or help for one command

  setup
Register tea as a git credential helper for every configured login

--help, -h: show help

  help, h
Shows a list of commands or help for one command

  get
Return the stored token for a URL (git credential protocol)

--help, -h: show help

--login, -l="": Use a specific login

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  oauth-refresh
Refresh an OAuth token

--help, -h: show help

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

logout
Log out from a Gitea server

--help, -h: show help

  help, h
Shows a list of commands or help for one command

whoami
Show current logged in user

--help, -h: show help

  help, h
Shows a list of commands or help for one command

issues, issue, i
List, create and update issues

--assignee, -a="":

--author, -A="":

--comments: Whether to display comments (will prompt if not provided & run interactively)

--fields, -f="": Comma-separated list of fields to print. Available values:
            index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments,owner,repo
         (default: "index,title,state,author,milestone,labels,owner,repo")

--from, -F="": Filter by activity after this date

--help, -h: show help

--keyword, -k="": Filter by search string

--kind, -K="": Whether to return issues, pulls, or all (you can use this to apply advanced search filters to PRs)

--labels, -L="": Comma-separated list of labels to match issues against.

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mentions, -M="":

--milestones, -m="": Comma-separated list of milestones to match issues against.

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, --org="":

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by state (all|open|closed)

--until, -u="": Filter by activity before this date

  list, ls
List issues of the repository

--assignee, -a="":

--author, -A="":

--fields, -f="": Comma-separated list of fields to print. Available values:
            index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments,owner,repo
         (default: "index,title,state,author,milestone,labels,owner,repo")

--from, -F="": Filter by activity after this date

--help, -h: show help

--keyword, -k="": Filter by search string

--kind, -K="": Whether to return issues, pulls, or all (you can use this to apply advanced search filters to PRs)

--labels, -L="": Comma-separated list of labels to match issues against.

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mentions, -M="":

--milestones, -m="": Comma-separated list of milestones to match issues against.

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, --org="":

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by state (all|open|closed)

--until, -u="": Filter by activity before this date

  help, h
Shows a list of commands or help for one command

  create, c
Create an issue on repository

--assignees, -a="": Comma-separated list of usernames to assign

--deadline, -D="": Deadline timestamp to assign

--description, -d="":

--help, -h: show help

--labels, -L="": Comma-separated list of labels to assign

--login, -l="": Use a different Gitea Login. Optional

--milestone, -m="": Milestone to assign

--referenced-version, -v="": commit-hash or tag name to assign

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="":

  help, h
Shows a list of commands or help for one command

  edit, e
Edit one or more issues

--add-assignees, -a="": Comma-separated list of usernames to assign

--add-labels, -L="": Comma-separated list of labels to assign. Takes precedence over --remove-labels

--deadline, -D="": Deadline timestamp to assign

--description, -d="":

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--milestone, -m="": Milestone to assign

--referenced-version, -v="": commit-hash or tag name to assign

--remote, -R="": Discover Gitea login from remote. Optional

--remove-labels="": Comma-separated list of labels to remove

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="":

  help, h
Shows a list of commands or help for one command

  reopen, open
Change state of one or more issues to 'open'

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  close
Change state of one ore more issues to 'closed'

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

pulls, pull, pr
Manage and checkout pull requests

--comments: Whether to display comments (will prompt if not provided & run interactively)

--fields, -f="": Comma-separated list of fields to print. Available values:
            index,state,author,author-id,url,title,body,mergeable,base,base-commit,head,diff,patch,created,updated,deadline,assignees,milestone,labels,comments,ci
         (default: "index,title,state,author,milestone,updated,labels")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by state (all|open|closed)

  list, ls
List pull requests of the repository

--fields, -f="": Comma-separated list of fields to print. Available values:
            index,state,author,author-id,url,title,body,mergeable,base,base-commit,head,diff,patch,created,updated,deadline,assignees,milestone,labels,comments,ci
         (default: "index,title,state,author,milestone,updated,labels")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by state (all|open|closed)

  help, h
Shows a list of commands or help for one command

  checkout, co
Locally check out the given PR

--branch, -b: Create a local branch if it doesn't exist yet

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  clean
Deletes local & remote feature-branches for a closed pull request

--help, -h: show help

--ignore-sha: Find the local branch by name instead of commit hash (less precise)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create a pull-request

--agit: Create an agit flow pull request

--allow-maintainer-edits, --edits: Enable maintainers to push to the base branch of created pull

--assignees, -a="": Comma-separated list of usernames to assign

--base, -b="": Branch name of the PR target (default is repos default branch)

--deadline, -D="": Deadline timestamp to assign

--description, -d="":

--draft: Create as a draft (prepends "WIP: " to the title; Gitea treats WIP-prefixed PRs as drafts)

--head="": Branch name of the PR source (default is current one). To specify a different head repo, use :

--help, -h: show help

--labels, -L="": Comma-separated list of labels to assign

--login, -l="": Use a different Gitea Login. Optional

--milestone, -m="": Milestone to assign

--referenced-version, -v="": commit-hash or tag name to assign

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="":

--topic="": Topic name for agit flow pull request

  help, h
Shows a list of commands or help for one command

  close
Change state of one or more pull requests to 'closed'

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  reopen, open
Change state of one or more pull requests to 'open'

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  edit, e
Edit one or more pull requests

--add-assignees, -a="": Comma-separated list of usernames to assign

--add-labels, -L="": Comma-separated list of labels to assign. Takes precedence over --remove-labels

--add-reviewers, -r="": Comma-separated list of usernames to request review from

--deadline, -D="": Deadline timestamp to assign

--description, -d="":

--draft: Mark as draft by prepending "WIP: " to the title (idempotent)

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--milestone, -m="": Milestone to assign

--ready: Mark as ready for review by stripping any leading "WIP: " or "[WIP]" prefix

--referenced-version, -v="": commit-hash or tag name to assign

--remote, -R="": Discover Gitea login from remote. Optional

--remove-labels="": Comma-separated list of labels to remove

--remove-reviewers="": Comma-separated list of usernames to remove from reviewers

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="":

  help, h
Shows a list of commands or help for one command

  review
Interactively review a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  approve, lgtm, a
Approve a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  reject
Request changes to a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  merge, m
Merge a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--message, -m="": Merge commit message

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--style, -s="": Kind of merge to perform: merge, rebase, squash, rebase-merge (default: "merge")

--title, -t="": Merge commit title

  help, h
Shows a list of commands or help for one command

  review-comments, rc
List review comments on a pull request

--fields, -f="": Comma-separated list of fields to print. Available values:
            id,body,reviewer,path,line,resolver,created,updated,url
         (default: "id,path,line,body,reviewer,resolver")

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  resolve
Resolve a review comment on a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  unresolve
Unresolve a review comment on a pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

labels, label
Manage issue labels

--exclude-org: Exclude organization labels from the list

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--org="": List organization labels

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--save, -s: Save all the labels as a file

  list, ls
List labels

--exclude-org: Exclude organization labels from the list

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--org="": List organization labels

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--save, -s: Save all the labels as a file

  help, h
Shows a list of commands or help for one command

  create, c
Create a label

--color="": label color value

--description="": label description

--file="": indicate a label file

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--name="": label name

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  update
Update a label

--color="": label color value

--description="": label description

--help, -h: show help

--id="": label id (default: 0)

--login, -l="": Use a different Gitea Login. Optional

--name="": label name

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete a label

--help, -h: show help

--id="": label id (default: 0)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

milestones, milestone, ms
List and create milestones

--fields, -f="": Comma-separated list of fields to print. Available values:
            title,state,items_open,items_closed,items,duedate,description,created,updated,closed,id
         (default: "title,items,duedate")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by milestone state (all|open|closed)

  list, ls
List milestones of the repository

--fields, -f="": Comma-separated list of fields to print. Available values:
            title,state,items_open,items_closed,items,duedate,description,created,updated,closed,id
         (default: "title,items,duedate")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by milestone state (all|open|closed)

  help, h
Shows a list of commands or help for one command

  create, c
Create an milestone on repository

--deadline, --expires, -x="": set milestone deadline (default is no due date)

--description, -d="": milestone description to create

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": set milestone state (default is open)

--title, -t="": milestone title to create

  help, h
Shows a list of commands or help for one command

  close
Change state of one or more milestones to 'closed'

--force, -f: delete milestone

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, rm
delete a milestone

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  reopen, open
Change state of one or more milestones to 'open'

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  issues, i
manage issue/pull of an milestone

--fields, -f="": Comma-separated list of fields to print. Available values:
            index,state,kind,author,author-id,url,title,body,created,updated,deadline,assignees,milestone,labels,comments,owner,repo
         (default: "index,kind,title,state,updated,labels")

--help, -h: show help

--kind="": Filter by kind (issue|pull)

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--state="": Filter by issue state (all|open|closed)

  add, a
Add an issue/pull to an milestone

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  remove, r
Remove an issue/pull to an milestone

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

releases, release, r
Manage releases

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List Releases

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create a release

--asset, -a="": Path to file attachment. Can be specified multiple times

--draft, -d: Is a draft

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--note, -n="": Release notes

--note-file, -f="": Release notes file name. If set, --note is ignored.

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--prerelease, -p: Is a pre-release

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--tag="": Tag name. If the tag does not exist yet, it will be created by Gitea

--target="": Target branch name or commit hash. Defaults to the default branch of the repo

--title, -t="": Release title

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete one or more releases

--confirm, -y: Confirm deletion (required)

--delete-tag: Also delete the git tag for this release

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  edit, e
Edit one or more releases

--draft, -d="": Mark as Draft [True/false]

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--note, -n="": Change Notes

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--prerelease, -p="": Mark as Pre-Release [True/false]

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--tag="": Change Tag

--target="": Change Target

--title, -t="": Change Title

  help, h
Shows a list of commands or help for one command

  assets, asset, a
Manage release assets

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List Release Attachments

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create one or more release attachments

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete one or more release attachments

--confirm, -y: Confirm deletion (required)

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

times, time, t
Operate on tracked times of a repository's issues & pulls

--fields="": Comma-separated list of fields to print. Available values:
    id,created,repo,issue,user,duration

--from, -f="": Show only times tracked after this date

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show all times tracked by you across all repositories (overrides command arguments)

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--total, -t: Print the total duration at the end

--until, -u="": Show only times tracked before this date

  add, a
Track spent time on an issue

    tea times add

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete a single tracked time on an issue

    tea times delete

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  reset
Reset tracked time on an issue

    tea times reset

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  list, ls
List tracked times on issues & pulls

--fields="": Comma-separated list of fields to print. Available values:
    id,created,repo,issue,user,duration

--from, -f="": Show only times tracked after this date

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show all times tracked by you across all repositories (overrides command arguments)

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--total, -t: Print the total duration at the end

--until, -u="": Show only times tracked before this date

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

organizations, organization, org
List, create, delete organizations

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List Organizations

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create an organization

--description, -d="":

--full-name, -n="":

--help, -h: show help

--location, -L="":

--login, -l="": Use a different Gitea Login. Optional

--repo-admins-can-change-team-access:

--visibility, -v="":

--website, -w="":

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete users Organizations

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

repos, repo
Manage repositories

--fields, -f="": Comma-separated list of fields to print. Available values:
            description,forks,id,name,owner,stars,ssh,updated,url,permission,type
         (default: "owner,name,type,ssh")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": List repos of a specific owner (org or user)

--page, -p="": specify page (default: 1)

--starred, -s: List your starred repos instead

--type, -T="": Filter by type: fork, mirror, source

--watched, -w: List your watched repos instead

  list, ls
List repositories you have access to

--fields, -f="": Comma-separated list of fields to print. Available values:
            description,forks,id,name,owner,stars,ssh,updated,url,permission,type
         (default: "owner,name,type,ssh")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": List repos of a specific owner (org or user)

--page, -p="": specify page (default: 1)

--starred, -s: List your starred repos instead

--type, -T="": Filter by type: fork, mirror, source

--watched, -w: List your watched repos instead

  help, h
Shows a list of commands or help for one command

  search, s
Find any repo on an Gitea instance

--archived="": Filter archived repos (true|false)

--fields, -f="": Comma-separated list of fields to print. Available values:
            description,forks,id,name,owner,stars,ssh,updated,url,permission,type
         (default: "owner,name,type,ssh")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": Filter by owner

--page, -p="": specify page (default: 1)

--private="": Filter private repos (true|false)

--topic, -t: Search for term in repo topics instead of name

--type, -T="": Filter by type: fork, mirror, source

  help, h
Shows a list of commands or help for one command

  create, c
Create a repository

--branch="": use custom default branch (need --init)

--description, --desc="": add description to repo

--gitignores, --git="": list of gitignore templates (need --init)

--help, -h: show help

--init: initialize repo

--labels="": name of label set to add

--license="": add license (need --init)

--login, -l="": Use a different Gitea Login. Optional

--name, -="": name of new repo

--object-format="": select git object format (sha1,sha256)

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": name of repo owner

--private: make repo private

--readme="": use readme template (need --init)

--template: make repo a template repo

--trustmodel="": select trust model (committer,collaborator,collaborator+committer)

  help, h
Shows a list of commands or help for one command

  create-from-template, ct
Create a repository based on an existing template

--avatar: copy repo avatar from template

--content: copy git content from template

--description, --desc="": add custom description to repo

--githooks: copy git hooks from template

--help, -h: show help

--labels: copy repo labels from template

--login, -l="": Use a different Gitea Login. Optional

--name, -n="": name of new repo

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": name of repo owner

--private: make new repo private

--template, -t="": source template to copy from

--topics: copy topics from template

--webhooks: copy webhooks from template

  help, h
Shows a list of commands or help for one command

  fork, f
Fork an existing repository

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--owner, -O="": name of fork's owner, defaults to current user

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  migrate, m
Migrate a repository

--auth-password="": Password to use for authentication.

--auth-token="": Token to use for authentication.

--auth-user="": Username to use for authentication.

--clone-url="": Clone URL of the repository

--help, -h: show help

--issues: Copy the issues

--labels: Copy the lables

--lfs: Copy the LFS objects

--lfs-endpoint="": LFS endpoint to use

--login, -l="": Use a different Gitea Login. Optional

--milestones: Copy the milestones

--mirror: Mirror the repository

--mirror-interval="": Interval to mirror the repository.

--name="": Name of the repository

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner="": Owner of the repository

--private: Make the repository private

--pull-requests: Copy the pull requests

--releases: Copy the releases

--service="": Service to migrate from. Supported services are: git, gitea, gitlab, gogs

--template: Make the repository a template

--wiki: Copy the wiki

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete an existing repository

--force, -f: Force the deletion and don't ask for confirmation

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--name, -="": name of the repo

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--owner, -O="": owner of the repo

  help, h
Shows a list of commands or help for one command

  edit, e
Edit repository properties

--archived="": Set archived [true/false]

--default-branch="": Set default branch

--description, --desc="": New description of the repository

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--name="": New name of the repository

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--private="": Set private [true/false]

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--template="": Set template [true/false]

--website="": New website URL of the repository

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

branches, branch, b
Consult branches

--comments: Whether to display comments (will prompt if not provided & run interactively)

--fields, -f="": Comma-separated list of fields to print. Available values:
            name,protected,user-can-merge,user-can-push,protection
         (default: "name,protected,user-can-merge,user-can-push")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List branches of the repository

--fields, -f="": Comma-separated list of fields to print. Available values:
            name,protected,user-can-merge,user-can-push,protection
         (default: "name,protected,user-can-merge,user-can-push")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  protect, P
Protect branches

--fields, -f="": Comma-separated list of fields to print. Available values:
            name,protected,user-can-merge,user-can-push,protection
         (default: "name,protected,user-can-merge,user-can-push")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  unprotect, U
Unprotect branches

--fields, -f="": Comma-separated list of fields to print. Available values:
            name,protected,user-can-merge,user-can-push,protection
         (default: "name,protected,user-can-merge,user-can-push")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  rename, rn
Rename a branch

--fields, -f="": Comma-separated list of fields to print. Available values:
            name,protected,user-can-merge,user-can-push,protection
         (default: "name,protected,user-can-merge,user-can-push")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

actions, action
Manage repository actions

--help, -h: show help

--login="": gitea login instance to use

--output, -o="": output format [table, csv, simple, tsv, yaml, json]

--repo="": repository to operate on

  secrets, secret
Manage repository action secrets

--help, -h: show help

  list, ls
List action secrets

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, add, set
Create an action secret

--file="": read secret value from file

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--stdin: read secret value from stdin

  help, h
Shows a list of commands or help for one command

  delete, remove, rm
Delete an action secret

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  variables, variable, vars, var
Manage repository action variables

--help, -h: show help

  list, ls
List action variables

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--name="": show specific variable by name

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  set, create, update
Set an action variable

--file="": read variable value from file

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--stdin: read variable value from stdin

  help, h
Shows a list of commands or help for one command

  delete, remove, rm
Delete an action variable

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  runs, run
Manage workflow runs

--help, -h: show help

  list, ls
List workflow runs

--actor="": Filter by actor username (who triggered the run)

--branch="": Filter by branch name

--event="": Filter by event type (push, pull_request, etc.)

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--since="": Show runs started after this time (e.g., '24h', '2024-01-01')

--status="": Filter by status (success, failure, pending, queued, in_progress, skipped, canceled)

--until="": Show runs started before this time (e.g., '2024-01-01')

  help, h
Shows a list of commands or help for one command

  view, show, get
View workflow run details

--help, -h: show help

--jobs: show jobs table

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, remove, rm, cancel
Delete or cancel a workflow run

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  logs, log
View workflow run logs

--follow, -f: follow log output (like tail -f), requires job to be in progress

--help, -h: show help

--job="": specific job ID to view logs for (if omitted, shows all jobs)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  workflows, workflow
Manage repository workflows

--help, -h: show help

  list, ls
List repository workflows

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  view, show, get
View workflow details

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  dispatch, trigger, run
Dispatch a workflow run

--follow, -f: follow log output after dispatching

--help, -h: show help

--input, -i="": workflow input in key=value format (can be specified multiple times)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--ref, -r="": branch or tag to dispatch on (default: current branch)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  enable
Enable a workflow

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  disable
Disable a workflow

--confirm, -y: confirm disable without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

wiki
Manage repository wiki pages

--fields, -f="": Comma-separated list of fields to print. Available values:
            title,path,url,sha,author,updated,message
         (default: "title,author,updated,sha")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List wiki pages of the repository

--fields, -f="": Comma-separated list of fields to print. Available values:
            title,path,url,sha,author,updated,message
         (default: "title,author,updated,sha")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  view
View a wiki page

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  revisions, history
List revisions of a wiki page

--fields, -f="": Comma-separated list of fields to print. Available values:
            sha,message,author,date
         (default: "sha,author,date,message")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create a wiki page

--content, -c="": wiki page content

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--message, -m="": commit message for the wiki change

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="": wiki page title

  help, h
Shows a list of commands or help for one command

  edit, e
Edit a wiki page

--content, -c="": wiki page content

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--message, -m="": commit message for the wiki change

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--title, -t="": wiki page title

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete a wiki page

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

webhooks, webhook, hooks, hook
Manage webhooks

--global: operate on global webhooks

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login="": gitea login instance to use

--login, -l="": Use a different Gitea Login. Optional

--org="": organization to operate on

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--output, -o="": output format [table, csv, simple, tsv, yaml, json]

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo="": repository to operate on

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List webhooks

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, c
Create a webhook

--active: webhook is active

--authorization-header="": authorization header

--branch-filter="": branch filter for push events

--events="": comma separated list of events (default: "push")

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--secret="": webhook secret

--type="": webhook type (gitea, gogs, slack, discord, dingtalk, telegram, msteams, feishu, wechatwork, packagist) (default: "gitea")

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete a webhook

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  update, edit, u
Update a webhook

--active: webhook is active

--authorization-header="": authorization header

--branch-filter="": branch filter for push events

--events="": comma separated list of events

--help, -h: show help

--inactive: webhook is inactive

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--secret="": webhook secret

--url="": webhook URL

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

comments, comment, c
Manage comments on issues and pull requests

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  add, a
Add a comment to an issue or pull request

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  list, ls
List comments on an issue or pull request

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  edit, e
Edit the body of an existing comment

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete one or more comments by ID

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

open, o
Open something of the repository in web browser

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

notifications, notification, n
Show notifications

--fields, -f="": Comma-separated list of fields to print. Available values:
            id,status,updated,index,type,state,title,repository
         (default: "id,status,index,type,state,title")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

--types, -t="": Comma-separated list of subject types to filter by. Available values:
            issue,pull,repository,commit

  ls, list
List notifications

--fields, -f="": Comma-separated list of fields to print. Available values:
            id,status,updated,index,type,state,title,repository
         (default: "id,status,index,type,state,title")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

--types, -t="": Comma-separated list of subject types to filter by. Available values:
            issue,pull,repository,commit

  help, h
Shows a list of commands or help for one command

  read, r
Mark all filtered or a specific notification as read

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

  help, h
Shows a list of commands or help for one command

  unread, u
Mark all filtered or a specific notification as unread

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

  help, h
Shows a list of commands or help for one command

  pin, p
Mark all filtered or a specific notification as pinned

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

  help, h
Shows a list of commands or help for one command

  unpin
Unpin all pinned or a specific notification

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--mine, -m: Show notifications across all your repositories instead of the current repository only

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--states, -s="": Comma-separated list of notification states to filter by. Available values:
            pinned,unread,read
         (default: "unread,pinned")

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

clone, C
Clone a repository locally

--depth, -d="": num commits to fetch, defaults to all (default: 0)

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

  help, h
Shows a list of commands or help for one command

ssh-keys, ssh-key
Manage SSH public keys

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

  list, ls
List SSH keys

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

  help, h
Shows a list of commands or help for one command

  add
Add an SSH public key

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--title, -t="": Title for the key (defaults to the filename without extension)

  help, h
Shows a list of commands or help for one command

  delete, rm
Delete an SSH key

--confirm, -y: Confirm deletion (required)

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

admin, a
Operations requiring admin access on the Gitea instance

--help, -h: show help

  users, u
Manage registered users

--fields, -f="": Comma-separated list of fields to print. Available values:
            id,login,full_name,email,avatar_url,language,is_admin,restricted,prohibit_login,location,website,description,visibility,activated,lastlogin_at,created_at
         (default: "id,login,full_name,email,activated")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  list, ls
List Users

--fields, -f="": Comma-separated list of fields to print. Available values:
            id,login,full_name,email,avatar_url,language,is_admin,restricted,prohibit_login,location,website,description,visibility,activated,lastlogin_at,created_at
         (default: "id,login,full_name,email,activated")

--help, -h: show help

--limit, --lm="": specify limit of items per page (default: 30)

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--page, -p="": specify page (default: 1)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  create, add, new
Create a new user

--admin: Make the user an administrator

--email, -e="": Email address for the new user (required)

--full-name="": Full name for the new user

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--no-must-change-password: Don't require the user to change password on first login (default: password change required)

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--password, -p="": Password for the new user (will prompt if not provided)

--password-file="": Read password from file

--password-stdin: Read password from stdin

--prohibit-login: Prohibit the user from logging in

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--restricted: Make the user restricted

--username, -u="": Username for the new user (required)

--visibility="": Visibility of the user profile (public, limited, private) (default: "public")

  help, h
Shows a list of commands or help for one command

  edit, update, e, u
Edit a user

--active: Activate the user

--admin: Make the user an administrator

--allow-create-organization: Allow the user to create organizations

--allow-git-hook: Allow the user to use git hooks

--allow-import-local: Allow the user to import local repositories

--allow-login: Allow the user to log in

--description="": User description

--email, -e="": Email address

--full-name="": Full name

--help, -h: show help

--inactive: Deactivate the user

--location="": Location

--login, -l="": Use a different Gitea Login. Optional

--max-repo-creation="": Maximum number of repositories the user can create (-1 for unlimited) (default: 0)

--no-admin: Remove administrator status

--no-allow-create-organization: Disallow the user from creating organizations

--no-allow-git-hook: Disallow the user from using git hooks

--no-allow-import-local: Disallow the user from importing local repositories

--no-must-change-password: Don't require the user to change password on next login (default: password change required)

--no-restricted: Remove restricted status

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--password="": New password (use empty value --password="" to trigger interactive prompt)

--password-file="": Read password from file

--password-stdin: Read password from stdin

--prohibit-login: Prohibit the user from logging in

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

--restricted: Make the user restricted

--visibility="": Visibility of the user profile (public, limited, private)

--website="": Website URL

  help, h
Shows a list of commands or help for one command

  delete, rm, remove
Delete a user

--confirm, -y: confirm deletion without prompting

--help, -h: show help

--login, -l="": Use a different Gitea Login. Optional

--output, -o="": Output format. (simple, table, csv, tsv, yaml, json)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

  help, h
Shows a list of commands or help for one command

api
Make an authenticated API request

--Field, -F="": Add a typed field to the request body (key=value, @file, or @- for stdin)

--data, -d="": Raw JSON request body (use @file to read from file, @- for stdin)

--field, -f="": Add a string field to the request body (key=value)

--header, -H="": Add a custom header (key:value)

--help, -h: show help

--include, -i: Include HTTP status and response headers in output (written to stderr)

--login, -l="": Use a different Gitea Login. Optional

--method, -X="": HTTP method (GET, POST, PUT, PATCH, DELETE) (default: "GET")

--output, -o="": Write response body to file instead of stdout (use '-' for stdout)

--remote, -R="": Discover Gitea login from remote. Optional

--repo, -r="": Override local repository path or gitea repository slug to interact with. Optional

  help, h
Shows a list of commands or help for one command

help, h
Shows a list of commands or help for one command